# @param authorities authorities block in swanctl.conf.
# @param connections connections block in swanctl.conf.
# @param secrets secrets block in swanctl.conf.
# @param pools pools block in swanctl.conf.

class strongswan::swanctl (
  Hash $authorities = {},
  Hash $connections = {},
  Hash $secrets = {},
  Hash $pools = {},
) {
  file { '/etc/swanctl/swanctl.conf':
    owner   => 'root',
    mode    => '0600',
    content => strongswan::hash_to_strongswan_config({
        authorities => $authorities,
        connections => $connections,
        secrets     => $secrets,
        pools       => $pools,
    }),
  }
}
